<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ospi2urdf: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ospi2urdf
   </div>
   <div id="projectbrief">Express .osim files as .urdf files.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceosim2urdf__parser__tst.html">osim2urdf_parser_tst</a></li><li class="navelem"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Osim2URDF Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a5c9999ae227add204f1e9c68116c7dfe">__init__</a>(self, osim_path, vtp_path, filename, ros_package_path, exactly_visual, exactly_collision, correc_stl_dic, verbose=True, secure_collision=True, trans_plugin=True, ident_size=4)</td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a251ca4ac77557e16c4e32aba05a92d62">approx_effort</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a51da8e68d8bd522c6daacb4dc3e67c50">approx_velocity</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a918d0ef2f115babaac60646e6e736076">bpart</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a8b66a346f637e476882980fe3d2d5a64">checkMuscularEffort</a>(self)</td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a27dbffa1687bc480f4f4a42987059465">correc_stl_dic</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a27f603792aeacc9c13f6d936557fa77a">createSTLfiles</a>(self)</td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a69767ec321ccef6e3370be43e437e00a">dic_body</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a0e0e68b3bdd3f1248b0b278e434fc90f">exactly_collision</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#ad143f53e4f83b6d81380060156d750f2">exactly_visual</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#aeee11a50a3c5740b7a7c0c37ec346fef">fake_in</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#af290f2c18b9e09584fcff551df5bbf96">fake_mass</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a48461e889b23057b565deea3475e719f">find_mins_maxs</a>(self, obj)</td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a9d5c1112d55181d2f345e0efb8a1b00b">getSTLApproximation</a>(self, stl_file, body_name)</td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a2fe57e2d3d2cba9a3aeba2f629eaa78b">ident</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a3509861d9e8bb8becf57f2e2205babea">ident_size</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#abae12942907b5c6f4793303799356689">ident_trans</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a49654e4709f40aecccada266daa32fc6">idx</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a6e727d21dc5d5f22228b3fc3128cc3f7">joint_transformations</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#aba63892df47e09193b67381ac5511c8f">L_rot</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#aae725670f408a159b7e619f8bb4c6b09">launchfile_add</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a215658c9565f4c3960ee86a3cd0ab4ef">launchfile_name</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a79713fe640286326f6732ecc5f552cdc">M_forces</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#aa4f7e1d166d82a812e6b3d28096a1d85">model_name</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a87faa527760b844c4e88d89b48174890">osim_filename</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a9f54d2dc5d4fa370b21318fc2048ca16">osim_path</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a867dd9de7dbe4a0dae61233f773567f4">osMpi</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a05292cedbe25b142d65bd8dc74b66293">osMpi_rpy</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a4e9f9e96068c3dbf50b80eff7ad568ab">package_name</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a34006181fbe1b1e4a989cc5b25ccedc8">package_path</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#ae5181f9040d34644c5e894bd10696734">position_controller</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a8a3a35a3d7a6d53a62737d6898ac68b7">pwd_begin_launchfile</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#ae2d2414dfd5b61f10412f4025c787306">pymodel</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#aa2f2b0beb5baed47e37220c98ece96e3">secure_collision</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#ad558ffb3171e386b285050445ffde295">stl_path</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#acc9ec4d0c1951c3b10cbf14cc5f97e9c">trans_plugin</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a6224f4c93a9b05af6bb4be39dadc5be4">urdf_filename</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#aff9a753257930c8a7cf4154d1db4fb46">urdf_path</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#aa9e289eddb591991c9bc7321dc5b186b">verbose</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a14b6c255e88e6bed45a209ce767dd623">vtp_path</a></td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#ad30682855052cbf715da98edd142cb52">writeApproximation</a>(self, name_type, visual_name, f, str_rpy_transform, str_xyz_transform, str_scale_factors, type_obj, carac_obj)</td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a1b24c47e55b6bd27883029a24d88b31f">writeExact</a>(self, name_type, visual_name, filename, f, str_rpy_transform, str_xyz_transform, str_scale_factors)</td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a3192ebfe37c241f2c79b60de746d748b">writeFakeLink</a>(self, f, body_name)</td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a67bb33ca09dbd625376e55d25de03506">writeFloatingJoint</a>(self, f, joint_name, parent, child, joint_placement_trans, R)</td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a72a6370d0c124efc84ba57bca0751b8d">writeJoint</a>(self, f, joint)</td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a1a06e16f97e34c7d89150ee89f5b0ca0">writeLaunchFile</a>(self)</td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a77a8cf16ce6fcbd2fc537f72d73b177e">writeLinkVisuals</a>(self, f, body)</td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a7dc16da66cd82e93f836e58f6011c882">writeModelToURDF</a>(self)</td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a11cb0281d5e42c8e2aeb55b70a0f6f0d">writeMultipleDimensionJoint</a>(self, f, joint_axis_names, parent, child, joint_limits, joint_axis, joint_placement, dim)</td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a42c68958228d3790f03636868e3df3f3">writeOneDofRevoluteJoint</a>(self, f, joint_name, parent, child, joint_limits, joint_axis, joint_placement_trans, joint_placement_rot)</td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a4bec839530c3499b27041d88735b0341">writeTransmission</a>(self, f, joint_name)</td><td class="entry"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
